<?php

namespace CashbackTracker\application\models;

defined('\ABSPATH') || exit;

use CashbackTracker\application\Plugin;

/**
 * LogModel class file
 *
 * @author keywordrush.com <support@keywordrush.com>
 * @link http://www.keywordrush.com/
 * @copyright Copyright &copy; 2018 keywordrush.com
 */
class LogModel extends Model {

    const MAX_LOGS_AGE_DAYS = 365;

    public function tableName()
    {
        return $this->getDb()->prefix . Plugin::getShortSlug() . '_log';
    }

    public function getDump()
    {

        return "CREATE TABLE " . $this->tableName() . " (
                    id bigint(20) unsigned NOT NULL auto_increment,
                    log_level tinyint(1) NOT NULL,
                    log_time double NOT NULL,                    
                    message text,
                    PRIMARY KEY  (id),
                    KEY log_level (log_level)
                    ) $this->charset_collate;";
    }

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function attributeLabels()
    {
        return array(
            'id' => 'ID',
            'log_level' => __('Level', 'cashback-tracker'),
            'log_time' => __('Time', 'cashback-tracker'),
            'message' => __('Message', 'cashback-tracker'),
        );
    }

    public function cleanOldLogs($optimize = true)
    {
        $this->deleteAll(time() . ' - log_time >= ' . LogModel::MAX_LOGS_AGE_DAYS * 24 * 3600);
        if ($optimize)
            $this->optimizeTable();
    }

}
